Adobe flash player is needed for this application.